package fitconnect.api.domain.submission;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;
import lombok.Value;

import java.util.List;
import java.util.Optional;
import java.util.UUID;

@Getter
@Setter
@Value
@Builder
public class Submission {

    @JsonProperty("destinationId")
    UUID destinationId;

    @JsonProperty("destinationId")
    Optional<UUID> caseId;

    @JsonProperty("announcedAttachments")
    List<UUID> announcedAttachments;

    @JsonProperty("serviceType")
    ServiceType serviceType;

    @JsonProperty("callback")
    Callback callback;

}
